Package groovy.model

# Interface ValueModel

All Known Implementing Classes:
  `ClosureModel`, `PropertyModel`, `ValueHolder`

public interface ValueModel
Represents a model of a value

Author:
  James Strachan

## Method Summary

Modifier and Type
Method
Description
`Class`
`getType()`
`Object`
`getValue()`
`boolean`
`isEditable()`
`void`
`setValue(Object value)`

## Method Details

### getValue

Object getValue()

### setValue

void setValue(Object value)

### getType

Class getType()

### isEditable

boolean isEditable()